import request from "@/utils/request";

// 查询【请填写功能名称】列表
export function listBasicPara(query) {
  return request({
    url: "/business/areaBasic/para/list",
    method: "get",
    params: query,
  });
}

// 查询【请填写功能名称】详细
export function getBasicPara(id) {
  return request({
    url: "/business/areaBasic/para/" + id,
    method: "get",
  });
}

export function getParams(elevatorId) {
  return request({
    url: "/business/areaBasic/para/getParams/" + elevatorId,
    method: "get",
  });
}

export function setParams(data) {
  return request({
    url: "/business/areaBasic/para/setParams",
    method: "post",
    data: data,
  });
}

// 新增【请填写功能名称】
export function addBasicPara(data) {
  return request({
    url: "/business/areaBasic/para",
    method: "post",
    data: data,
  });
}

// 修改【请填写功能名称】
export function updateBasicPara(data) {
  return request({
    url: "/business/areaBasic/para",
    method: "put",
    data: data,
  });
}

export function toggleStatusBasicPara(data) {
  return request({
    url: "/business/areaBasic/para/toggleStatus",
    method: "put",
    data: data,
  });
}

// 删除【请填写功能名称】
export function delBasicPara(id) {
  return request({
    url: "/business/areaBasic/para/" + id,
    method: "delete",
  });
}

export function exportBasicPara(data) {
  return request({
    url: "/business/areaBasic/para/export",
    method: "post",
    data,
    responseType: "blob",
  });
}
